set(CAL_INC_PATHS
    /usr/include
    /usr/local/include
    $ENV{CAL_PATH}/include
    )

set(CAL_LIB_PATHS
    /lib
    /lib64
    /usr/lib
    /usr/lib64
    /usr/local/lib
    /usr/local/lib64
    $ENV{CAL_PATH}/lib
    )

find_path(CAL_INCLUDE_PATH NAMES "cal.h" PATHS ${CAL_INC_PATHS})
find_library(CAL_LIBRARIES NAMES cal PATHS ${CAL_LIB_PATHS})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(CAL DEFAULT_MSG CAL_INCLUDE_DIR CAL_LIBRARY)

if (CAL_FOUND)
    set (CAL_LIBRARIES ${CAL_LIBRARY}) 
    message(STATUS "Found CAL    (include: ${CAL_INCLUDE_DIR}, libraries: ${CAL_LIBRARIES})")
    mark_as_advanced(CAL_INCLUDE_DIR CAL_LIBRARIES)
endif ()
